---
updatedAt: 2026-05-28T08:16:45.000Z
agentTools:
  projectIndex: https://docs.scalr.io/llms.txt
---

# List Webhooks

This endpoint returns a list of webhooks.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "WebhookIntegration": {
        "description": "Represents the webhook integration\n\nThe extra fields below are not available in response by default. Ask for them explicitly in the query parameter `fields[webhook-integrations]`:\n* statistics",
        "properties": {
          "attributes": {
            "properties": {
              "enabled": {
                "description": "Webhook can be turned off by setting to `false`.",
                "type": "boolean"
              },
              "headers": {
                "items": {
                  "properties": {
                    "name": {
                      "description": "A header name.",
                      "type": "string"
                    },
                    "sensitive": {
                      "default": false,
                      "description": "Whether the value is a sensitive.",
                      "type": "boolean"
                    },
                    "value": {
                      "description": "A header value. Not visible if sensitive.",
                      "nullable": true,
                      "type": "string"
                    }
                  },
                  "required": [
                    "name",
                    "value"
                  ],
                  "type": "object"
                },
                "nullable": true,
                "type": "array"
              },
              "http-method": {
                "default": "POST",
                "readOnly": true,
                "type": "string"
              },
              "is-shared": {
                "description": "Indicates whether the webhook is available in any environment of the account without directly linking it.",
                "type": "boolean"
              },
              "last-triggered-at": {
                "description": "The Date/Time of the last notification.",
                "format": "date-time",
                "nullable": true,
                "readOnly": true,
                "type": "string"
              },
              "max-attempts": {
                "default": 3,
                "description": "The number of retry attempts.",
                "type": "integer"
              },
              "name": {
                "description": "The name of the webhook. Use your target application/component name for better discoverability.",
                "maxLength": 255,
                "type": "string"
              },
              "secret-key": {
                "description": "The secret passphrase for HMAC signature.",
                "maxLength": 1024,
                "type": "string"
              },
              "statistics": {
                "description": "Webhook delivery statistics (delivered, failed and total) by periods: last hour, last day and last week",
                "nullable": true,
                "properties": {
                  "last-day": {
                    "properties": {
                      "delivered": {
                        "default": 0,
                        "type": "integer"
                      },
                      "failed": {
                        "default": 0,
                        "type": "integer"
                      },
                      "total": {
                        "default": 0,
                        "type": "integer"
                      }
                    },
                    "type": "object"
                  },
                  "last-hour": {
                    "properties": {
                      "delivered": {
                        "default": 0,
                        "type": "integer"
                      },
                      "failed": {
                        "default": 0,
                        "type": "integer"
                      },
                      "total": {
                        "default": 0,
                        "type": "integer"
                      }
                    },
                    "type": "object"
                  },
                  "last-week": {
                    "properties": {
                      "delivered": {
                        "default": 0,
                        "type": "integer"
                      },
                      "failed": {
                        "default": 0,
                        "type": "integer"
                      },
                      "total": {
                        "default": 0,
                        "type": "integer"
                      }
                    },
                    "type": "object"
                  }
                },
                "readOnly": true,
                "type": "object"
              },
              "timeout": {
                "default": 15,
                "description": "The HTTP transaction timeout.",
                "type": "integer"
              },
              "url": {
                "description": "HTTP(s) destination URL.",
                "maxLength": 2048,
                "type": "string"
              }
            },
            "required": [
              "name",
              "url"
            ],
            "type": "object"
          },
          "id": {
            "readOnly": true,
            "type": "string"
          },
          "links": {
            "properties": {
              "self": {
                "readOnly": true,
                "type": "string"
              }
            },
            "readOnly": true,
            "type": "object"
          },
          "relationships": {
            "properties": {
              "account": {
                "description": "The account this webhook belongs to.",
                "properties": {
                  "data": {
                    "properties": {
                      "id": {
                        "type": "string"
                      },
                      "type": {
                        "enum": [
                          "accounts",
                          ""
                        ],
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "id"
                    ],
                    "type": "object"
                  }
                },
                "required": [
                  "data"
                ],
                "type": "object"
              },
              "environments": {
                "description": "The list of environments this webhook is linked to.",
                "properties": {
                  "data": {
                    "items": {
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "type": {
                          "enum": [
                            "environments",
                            ""
                          ],
                          "type": "string"
                        }
                      },
                      "required": [
                        "type",
                        "id"
                      ],
                      "type": "object"
                    },
                    "nullable": true,
                    "type": "array"
                  }
                },
                "required": [
                  "data"
                ],
                "type": "object"
              },
              "events": {
                "description": "The list of events this webhook will be notified about.\nUse [List Event Definitions](/docs/webhooks) to obtain the list\nof all available events.",
                "properties": {
                  "data": {
                    "items": {
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "type": {
                          "enum": [
                            "event-definitions",
                            ""
                          ],
                          "type": "string"
                        }
                      },
                      "required": [
                        "type",
                        "id"
                      ],
                      "type": "object"
                    },
                    "nullable": true,
                    "type": "array"
                  }
                },
                "required": [
                  "data"
                ],
                "type": "object"
              }
            },
            "required": [
              "account"
            ],
            "type": "object"
          },
          "type": {
            "enum": [
              "webhook-integrations"
            ],
            "type": "string"
          }
        },
        "required": [
          "type",
          "attributes",
          "relationships"
        ],
        "type": "object"
      },
      "WebhookIntegrationListingDocument": {
        "description": "JSON:API Document Listing\n\nsee: https://jsonapi.org/format/#document-structure",
        "properties": {
          "data": {
            "items": {
              "$ref": "#/components/schemas/WebhookIntegration"
            },
            "type": "array"
          },
          "included": {
            "items": {
              "type": "object"
            },
            "readOnly": true,
            "type": "array"
          },
          "links": {
            "additionalProperties": {
              "type": "string"
            },
            "readOnly": true,
            "type": "object"
          },
          "meta": {
            "readOnly": true,
            "type": "object"
          }
        },
        "type": "object"
      }
    },
    "securitySchemes": {
      "API-Key": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Scalr IACP API",
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "title": "Scalr IACP API",
    "version": "unversioned"
  },
  "openapi": "3.0.0",
  "paths": {
    "/integrations/webhooks": {
      "get": {
        "description": "This endpoint returns a list of webhooks.",
        "operationId": "list_webhook_integrations",
        "parameters": [
          {
            "description": "Enabled `true|false` only webhooks",
            "in": "query",
            "name": "filter[enabled]",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The ID of the Account",
            "in": "query",
            "name": "filter[account]",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The environment filter",
            "in": "query",
            "name": "filter[environment]",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The ID of the Event definition",
            "in": "query",
            "name": "filter[event]",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Page number",
            "in": "query",
            "name": "page[number]",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Page size",
            "in": "query",
            "name": "page[size]",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The comma-separated list of attributes.",
            "explode": false,
            "in": "query",
            "name": "sort",
            "required": false,
            "schema": {
              "items": {
                "enum": [
                  "name"
                ],
                "type": "string"
              },
              "type": "array"
            }
          },
          {
            "description": "Query string",
            "in": "query",
            "name": "query",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The value of the fields[resource-type] parameter is a comma-separated list that refers to the name of the fields to be returned for the resource. An empty value indicates that no fields should be returned.",
            "explode": true,
            "in": "query",
            "name": "fields",
            "required": false,
            "schema": {
              "properties": {
                "webhook-integrations": {
                  "description": "The comma-separated list of fields to return in response for WebhookIntegration resource.",
                  "type": "string"
                }
              },
              "type": "object"
            },
            "style": "deepObject"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/WebhookIntegrationListingDocument"
                }
              }
            },
            "description": "Success."
          },
          "404": {
            "description": "Account not found\nor user unauthorized to perform action."
          },
          "4XX": {
            "description": "Client error."
          },
          "5XX": {
            "description": "Server error."
          }
        },
        "summary": "List Webhooks",
        "tags": [
          "webhook-integrations"
        ],
        "x-resource": "WebhookIntegration",
        "x-service": "tf-api"
      }
    }
  },
  "security": [
    {
      "API-Key": []
    }
  ],
  "servers": [
    {
      "url": "https://{Domain}/api/iacp/v3",
      "variables": {
        "Domain": {
          "default": "example.scalr.io",
          "description": "Domain where Scalr is hosted"
        }
      }
    }
  ]
}
```

# Sibling pages

* [Create Webhook integration](https://docs.scalr.io/scalr/reference/create_webhook_integration.md)
* [Delete a Webhook integration](https://docs.scalr.io/scalr/reference/delete_webhook_integration.md)
* [Get a Webhook](https://docs.scalr.io/scalr/reference/get_webhook_integration.md)
* [Update Webhook integration](https://docs.scalr.io/scalr/reference/update_webhook_integration.md)